export function addMeritLine(parent: Element) {
    const meritName = document.createElement('input');
    meritName.type = 'text';
    meritName.value = '';
    meritName.classList.add('merit-name');

    const meritDots = document.createElement('input');
    meritDots.type = 'number';
    meritDots.min = '0';
    meritDots.value = '0';
    meritDots.classList.add('merit-dots');

    const removeButton = document.createElement('button');
    removeButton.innerText = "X";
    removeButton.setAttribute('data-event-type', 'remove-merit');
    removeButton.classList.add('remove-merit');

    const dots = document.createElement('span');
    dots.innerText = 'Dots';

    const merit = document.createElement('div');
    merit.classList.add('merit');
    merit.appendChild(meritName);
    merit.appendChild(meritDots);
    merit.appendChild(dots);
    merit.appendChild(removeButton);

    parent.appendChild(merit);
}


export function addItemLine(parent: Element) {
    const itemName = document.createElement('input');
    itemName.type = 'text';
    itemName.value = '';
    itemName.classList.add('item-name');

    const removeButton = document.createElement('button');
    removeButton.innerText = "X";
    removeButton.setAttribute('data-event-type', 'remove-item');
    removeButton.classList.add('remove-item');

    const item = document.createElement('div');
    item.classList.add('item');
    item.appendChild(itemName);
    item.appendChild(removeButton);

    parent.appendChild(item);
}
